declare
  p_id          number(16);
  p_name        varchar2(64);
  p_state       number(16);
  p_multiple    number(1);
  p_search		number(1);
  p_entity		number(1);
  p_user        varchar2(128) := 'IGI V5.2.4';
  p_desc        varchar2(512);

  counter       number(16);
  
begin
  p_name        := 'GATEWAY_HOST';
  p_state		:= 0;
  p_multiple	:= 0;
  p_search		:= 0;
  p_entity		:= 1;
  p_desc        := '';
  
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( p_name );
  if ( counter = 0 ) then
    select property_key_seq.nextval into p_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity, last_mod_user, description )
    values ( p_id, p_name, p_state, p_multiple, p_search, p_entity, p_user, p_desc );
  end if;

end;
/
commit;
